package sgc.portal.com.com.persistence;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.Dept;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**********************************************************
 * 시스템명  	: 시스템관리(COM)
 * 프로그램ID : ComDeptMngMapper
 * 프로그램명   : 부서관리 Mapper
 * @author  : SBK
 * @version :  2022-07-01
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/
@Mapper
public interface  ComDeptMngMapper {

    List<EasyHashMap<String, Object>> selectComDeptMng(Dept dept);

    void insertComDeptMng(Dept dept);

    void updateComDeptMng(Dept dept);

    void deleteComDeptMng(Dept dept);
}

